org.apache.poi.hssf.usermodel

## Class HSSFWorkbookFactory

- java.lang.Object
- - org.apache.poi.ss.usermodel.WorkbookFactory
  - - org.apache.poi.hssf.usermodel.HSSFWorkbookFactory

-     @Internal
      public class HSSFWorkbookFactory
      extends WorkbookFactory

  Helper class which is instantiated by reflection from `WorkbookFactory.create(java.io.File)` and similar

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ss.usermodel.WorkbookFactory

      `WorkbookFactory.CreateWorkbook0, WorkbookFactory.CreateWorkbook1<T>, WorkbookFactory.CreateWorkbook2<T,U>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.ss.usermodel.WorkbookFactory

      `createHssfByNode, createHssfFromScratch, createXssfByFile, createXssfByPackage, createXssfByStream, createXssfFromScratch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSSFWorkbookFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HSSFWorkbook` | `createWorkbook()` Create a new empty Workbook
    `static HSSFWorkbook` | `createWorkbook(DirectoryNode root)` Creates a HSSFWorkbook from the given DirectoryNode
    `static HSSFWorkbook` | `createWorkbook(POIFSFileSystem fs)` Creates a HSSFWorkbook from the given `POIFSFileSystem`

    - ### Methods inherited from class org.apache.poi.ss.usermodel.WorkbookFactory

      `create, create, create, create, create, create, create, create, create, create`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HSSFWorkbookFactory

          public HSSFWorkbookFactory()

  - ### Method Detail

    - #### createWorkbook

          public static HSSFWorkbook createWorkbook()

      Create a new empty Workbook
      Returns:
        The created workbook

    - #### createWorkbook

          public static HSSFWorkbook createWorkbook(POIFSFileSystem fs)
                                             throws java.io.IOException

      Creates a HSSFWorkbook from the given `POIFSFileSystem`

      Note that in order to properly release resources the Workbook should be closed after use.

      Throws:
        `java.io.IOException`

    - #### createWorkbook

          public static HSSFWorkbook createWorkbook(DirectoryNode root)
                                             throws java.io.IOException

      Creates a HSSFWorkbook from the given DirectoryNode

      Note that in order to properly release resources the Workbook should be closed after use.

      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.